Viewing Issue Simple Details Jump to Notes ] Wiki ] View Advanced ] Issue History ] Print ]
ID Category Severity Reproducibility Date Submitted Last Update
0009321 [DCSS] Bug Report minor have not tried 2014-12-12 22:59 2014-12-24 22:37
Reporter Marbit View Status public  
Assigned To neil
Priority normal Resolution done  
Status resolved   Product Branch 0.16 ancient branch
Summary 0009321: double-action numpad bug
Description Numpad keys produce double actions. Arrow keys don't.
Redefining numpad keys to arrow keys partially solves the problem (I still cannot make single moves diagonally).

I'm using Ubuntu 14.04
Compiled Trunk tiles today (version 016-a0-3060-g0a98a19!)

Apparently the bug is known and easy to reproduce but there is no mantis ticket. Devs discussed the bug a bit on crawl-dev channel (dec 12).

Thanks for the help!
Additional Information
Tags No tags attached.
Attached Files

- Relationships

-  Notes
(0028061)
Marbit (reporter)
2014-12-13 00:53

Redefining numpad keys doesn't solve the problem with abilities such as smite.
(0028080)
Marbit (reporter)
2014-12-16 11:45

Pressing num-block solves the problem entirely... I feel a bit silly now but it seems I was not the only one confused by this problem.

https://crawl.develz.org/tavern/viewtopic.php?f=8&t=14431 [^]

Perhaps a warning when using num-block and pressing a keypad key would be useful.
(0028155)
neil (administrator)
2014-12-24 22:37

Should be fixed in trunk (0.16-a0-3299-g3bfa717), but that hasn't been tested on Windows and Android, or with nontrivial input methods.

- Issue History
Date Modified Username Field Change
2014-12-12 22:59 Marbit New Issue
2014-12-13 00:53 Marbit Note Added: 0028061
2014-12-16 11:45 Marbit Note Added: 0028080
2014-12-24 22:37 neil Note Added: 0028155
2014-12-24 22:37 neil Status new => resolved
2014-12-24 22:37 neil Fixed in Branch => 0.16 development branch
2014-12-24 22:37 neil Resolution open => done
2014-12-24 22:37 neil Assigned To => neil


Mantis 1.1.8[^]
Copyright © 2000 - 2009 Mantis Group
Powered by Mantis Bugtracker